From icampbell@arcom.com Wed Jun 29 08:05:23 2005
Subject: USB: gadget/ether fixes
From: Ian Campbell <icampbell@arcom.com>
To: Greg KH <greg@kroah.com>
Cc: David Brownell <david-b@pacbell.net>
Date: Wed, 29 Jun 2005 10:15:32 +0100
Message-Id: <1120036532.10852.36.camel@icampbell-debian>


Signed-off-by: Ian Campbell <icampbell@arcom.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/gadget/ether.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/gadget/ether.c	2005-07-01 13:44:07.000000000 -0700
+++ gregkh-2.6/drivers/usb/gadget/ether.c	2005-07-01 14:17:29.000000000 -0700
@@ -2428,7 +2428,7 @@
 	dev->req->complete = eth_setup_complete;
 
 	/* ... and maybe likewise for status transfer */
-#ifdef DEV_CONFIG_CDC
+#if defined(DEV_CONFIG_CDC) || defined(CONFIG_USB_ETH_RNDIS)
 	if (dev->status_ep) {
 		dev->stat_req = eth_req_alloc (dev->status_ep,
 					STATUS_BYTECOUNT, GFP_KERNEL);
